"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RabbitMqResponseTimeoutException = exports.RabbitMqResponseErrorException = exports.RabbitMqResponseException = exports.RabbitMqException = void 0;
class RabbitMqException extends Error {
    constructor(message) {
        super(message);
    }
}
exports.RabbitMqException = RabbitMqException;
class RabbitMqResponseException extends RabbitMqException {
    constructor(message, exchange, routingKey) {
        super(message);
        this.exchange = exchange;
        this.routingKey = routingKey;
    }
}
exports.RabbitMqResponseException = RabbitMqResponseException;
class RabbitMqResponseErrorException extends RabbitMqResponseException {
    constructor(message, exchange, routingKey) {
        super(message, exchange, routingKey);
    }
}
exports.RabbitMqResponseErrorException = RabbitMqResponseErrorException;
class RabbitMqResponseTimeoutException extends RabbitMqResponseException {
    constructor(message, exchange, routingKey) {
        super(message, exchange, routingKey);
    }
}
exports.RabbitMqResponseTimeoutException = RabbitMqResponseTimeoutException;
//# sourceMappingURL=exceptions.js.map