import { RabbitMQExchange, RabbitMQPattern } from './types';
import { IHealthStatusMessage, IOrderCancelMessage, IOrderCreateMessage, IOutputErrorMessage, ITrackingMessage } from './messages';
import { IOrderGetByIdMessage, IOrderGetByIdResponse } from './messages/orderGetById.interface';
import { IOrderUpdateMessage } from './messages/orderUpdate.interface';
export interface IRabbitMQServiceOptions {
    defaultRpcTimeoutMs?: number;
}
export interface IRabbitMQService {
    sendCreateOrderMessage: (message: IOrderCreateMessage) => void;
    sendCancelOrderMessage: (message: IOrderCancelMessage) => void;
    sendUpdateOrderMessage: (message: IOrderUpdateMessage) => void;
    sendOutputOrderStatusMessage: (message: ITrackingMessage) => void;
    sendHealthStatusMessage: (message: IHealthStatusMessage) => void;
    sendHealthCheckMessage: () => void;
    sendTrackingMessage: (message: ITrackingMessage) => void;
    sendTrackingRequeueMessage: (message: ITrackingMessage) => void;
    sendPrintLabelMessage: (message: ITrackingMessage) => void;
    sendOutputErrorMessage: (message: IOutputErrorMessage) => void;
    getOrderById: (message: IOrderGetByIdMessage) => Promise<IOrderGetByIdResponse>;
}
export interface IRabbitMQMessageDefinition {
    exchange: RabbitMQExchange;
    routingKey: string;
}
export interface IRabbitMQMessageWithPatternDefinition extends IRabbitMQMessageDefinition {
    pattern: RabbitMQPattern;
}
//# sourceMappingURL=rabbitmq.interface.d.ts.map